View Issue Details

IDProjectCategoryView StatusLast Update
0000325Trip ReaderData 数据纠错public2022-09-22 08:20
ReporterMkrg233 Assigned ToYihong Wu  
PrioritylowSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.7.6 
Fixed in Version1.7.8 
Summary0000325: 齐齐哈尔公交新版卡机的线路号识别错误
Description

图中上方是旧版卡机的数据,下方是新版卡机的数据。
新版卡机的线路号被转换为 16 进制,写在第三、第四位。
旧版卡机的线路号没有经过进制转换,写在第五、第六位。
以及新旧卡机的收单机构数据也不一样。
图中的“65路”在齐齐哈尔市不存在,正确的线路号应为 101 路。
图中的“12路”正确路号也应为 18 路。
第二张图是旧卡机,第三张图是新卡机。

TagsNo tags attached.
ProvinceHeilongjiang 黑龙江
CarrierBus 公交
TypeTU

Activities

Mkrg233

2022-09-05 23:21

reporter  

IMG_20220906_072034.jpg (270,651 bytes)   
IMG_20220906_072034.jpg (270,651 bytes)   
IMG_20220906_072044.jpg (230,543 bytes)   
IMG_20220906_072044.jpg (230,543 bytes)   

Yihong Wu

2022-09-14 03:20

manager   ~0000536

感谢报告

Yihong Wu

2022-09-22 08:18

manager   ~0000595

齐齐哈尔曾经也使用前四位10进制表示线路,因此需要增加时间判断,2022年起用16进制

Issue History

Date Modified Username Field Change
2022-09-05 23:21 Mkrg233 New Issue
2022-09-05 23:21 Mkrg233 File Added: Screenshot_2022-09-06-07-07-19-483_com.domosekai.cardreader.jpg
2022-09-05 23:21 Mkrg233 File Added: IMG_20220906_072034.jpg
2022-09-05 23:21 Mkrg233 File Added: IMG_20220906_072044.jpg
2022-09-14 03:20 Yihong Wu Note Added: 0000536
2022-09-22 08:18 Yihong Wu Note Added: 0000595
2022-09-22 08:20 Yihong Wu Assigned To => Yihong Wu
2022-09-22 08:20 Yihong Wu Status new => resolved
2022-09-22 08:20 Yihong Wu Resolution open => fixed
2022-09-22 08:20 Yihong Wu Fixed in Version => 1.7.8